Loading...
Searching...
No Matches
BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_ Class Reference

`#include <BALL/CONCEPT/enumerator.h>`

## Public Types

typedef Enumerator< Container, SiteIterator, Variant > | ContainerType
typedef Enumerator< Container, SiteIterator, Variant > * | ContainerPointer
typedef const Enumerator< Container, SiteIterator, Variant > * | ContainerConstPointer
typedef EnumeratorIndex | IteratorPosition
typedef Container | ValueType

## Public Member Functions

| IteratorTraits_ ()
| IteratorTraits_ (const ContainerType &enumerator)
ContainerConstPointer | getContainer () const
ContainerPointer | getContainer ()
bool | isSingular () const
IteratorPosition & | getPosition ()
const IteratorPosition & | getPosition () const
bool | operator== (const IteratorTraits_ &traits) const
bool | operator!= (const IteratorTraits_ &traits) const
bool | isValid () const
void | invalidate ()
void | toBegin ()
bool | isBegin () const
void | toEnd ()
bool | isEnd () const
ValueType & | getData ()
const ValueType & | getData () const
void | forward ()
void | validate ()

## Protected Attributes

ContainerPointer | bound_
EnumeratorIndex | position_
bool | past_the_end_

## Friends

class | Enumerator< Container, SiteIterator, Variant >

## Detailed Description

template<class Container, class SiteIterator, class Variant>
class BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_

Definition at line 426 of file enumerator.h.

## Member Typedef Documentation

## ContainerConstPointer

template<class Container, class SiteIterator, class Variant>

typedef const Enumerator<Container, SiteIterator, Variant>* BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::ContainerConstPointer

Definition at line 439 of file enumerator.h.

## ContainerPointer

template<class Container, class SiteIterator, class Variant>

typedef Enumerator<Container, SiteIterator, Variant>* BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::ContainerPointer

Definition at line 436 of file enumerator.h.

## ContainerType

template<class Container, class SiteIterator, class Variant>

typedef Enumerator<Container, SiteIterator, Variant> BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::ContainerType

Definition at line 433 of file enumerator.h.

## IteratorPosition

template<class Container, class SiteIterator, class Variant>

typedef EnumeratorIndex BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::IteratorPosition

Definition at line 442 of file enumerator.h.

## ValueType

template<class Container, class SiteIterator, class Variant>

typedef Container BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::ValueType

Definition at line 445 of file enumerator.h.

## Constructor & Destructor Documentation

## IteratorTraits_() [1/2]

template<class Container, class SiteIterator, class Variant>

BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::IteratorTraits_ | ( |  | ) |

inline

Definition at line 447 of file enumerator.h.

## IteratorTraits_() [2/2]

template<class Container, class SiteIterator, class Variant>

BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::IteratorTraits_ | ( | const ContainerType & | enumerator | ) |

inline

Definition at line 454 of file enumerator.h.

## Member Function Documentation

## forward()

template<class Container, class SiteIterator, class Variant>

void BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::forward | ( |  | ) |

inline

Definition at line 543 of file enumerator.h.

## getContainer() [1/2]

template<class Container, class SiteIterator, class Variant>

ContainerPointer BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::getContainer | ( |  | ) |

inline

Definition at line 466 of file enumerator.h.

## getContainer() [2/2]

template<class Container, class SiteIterator, class Variant>

ContainerConstPointer BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::getContainer | ( |  | ) | const

inline

Definition at line 461 of file enumerator.h.

## getData() [1/2]

template<class Container, class SiteIterator, class Variant>

ValueType & BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::getData | ( |  | ) |

inline

Definition at line 530 of file enumerator.h.

## getData() [2/2]

template<class Container, class SiteIterator, class Variant>

const ValueType & BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::getData | ( |  | ) | const

inline

Definition at line 536 of file enumerator.h.

## getPosition() [1/2]

template<class Container, class SiteIterator, class Variant>

IteratorPosition & BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::getPosition | ( |  | ) |

inline

Definition at line 476 of file enumerator.h.

## getPosition() [2/2]

template<class Container, class SiteIterator, class Variant>

const IteratorPosition & BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::getPosition | ( |  | ) | const

inline

Definition at line 481 of file enumerator.h.

## invalidate()

template<class Container, class SiteIterator, class Variant>

void BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::invalidate | ( |  | ) |

inline

Definition at line 501 of file enumerator.h.

## isBegin()

template<class Container, class SiteIterator, class Variant>

bool BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::isBegin | ( |  | ) | const

inline

Definition at line 514 of file enumerator.h.

## isEnd()

template<class Container, class SiteIterator, class Variant>

bool BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::isEnd | ( |  | ) | const

inline

Definition at line 525 of file enumerator.h.

## isSingular()

template<class Container, class SiteIterator, class Variant>

bool BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::isSingular | ( |  | ) | const

inline

Definition at line 471 of file enumerator.h.

## isValid()

template<class Container, class SiteIterator, class Variant>

bool BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::isValid | ( |  | ) | const

inline

Definition at line 496 of file enumerator.h.

## operator!=()

template<class Container, class SiteIterator, class Variant>

bool BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::operator!= | ( | const IteratorTraits_ & | traits | ) | const

inline

Definition at line 491 of file enumerator.h.

## operator==()

template<class Container, class SiteIterator, class Variant>

bool BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::operator== | ( | const IteratorTraits_ & | traits | ) | const

inline

Definition at line 486 of file enumerator.h.

## toBegin()

template<class Container, class SiteIterator, class Variant>

void BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::toBegin | ( |  | ) |

inline

Definition at line 508 of file enumerator.h.

## toEnd()

template<class Container, class SiteIterator, class Variant>

void BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::toEnd | ( |  | ) |

inline

Definition at line 519 of file enumerator.h.

## validate()

template<class Container, class SiteIterator, class Variant>

void BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::validate | ( |  | ) |

inline

Definition at line 556 of file enumerator.h.

## Friends And Related Symbol Documentation

## Enumerator< Container, SiteIterator, Variant >

template<class Container, class SiteIterator, class Variant>

friend class Enumerator< Container, SiteIterator, Variant >

friend

Definition at line 586 of file enumerator.h.

## Member Data Documentation

## bound_

template<class Container, class SiteIterator, class Variant>

ContainerPointer BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::bound_

protected

Definition at line 566 of file enumerator.h.

## past_the_end_

template<class Container, class SiteIterator, class Variant>

bool BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::past_the_end_

protected

Definition at line 568 of file enumerator.h.

## position_

template<class Container, class SiteIterator, class Variant>

EnumeratorIndex BALL::Enumerator< Container, SiteIterator, Variant >::IteratorTraits_::position_

protected

Definition at line 567 of file enumerator.h.